Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.app.analyst.csv.segregate
Class SegregateTargetPercent

    java.lang.Object
      org.encog.app.analyst.csv.segregate.SegregateTargetPercent

    public class SegregateTargetPercent

extends Object

Specifies a segregation target, and what percent that target should need.

Constructor Summary
`SegregateTargetPercent(File outputFile, int thePercent)` Construct the object.

Method Summary
`File` | `getFilename()`
`int` | `getNumberRemaining()`
`int` | `getPercent()`
`void` | `setFilename(File theFilename)`
`void` | `setNumberRemaining(int theNumberRemaining)`
`void` | `setPercent(int thePercent)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SegregateTargetPercent

    public SegregateTargetPercent(File outputFile,
                                  int thePercent)

  Construct the object.

  Parameters:
    `outputFile` - The output filename.
    `thePercent` - The target percent.

Method Detail

### getFilename

    public final File getFilename()

  Returns:
    the filename

### getNumberRemaining

    public final int getNumberRemaining()

  Returns:
    the numberRemaining

### getPercent

    public final int getPercent()

  Returns:
    the percent

### setFilename

    public final void setFilename(File theFilename)

  Parameters:
    `theFilename` - the filename to set

### setNumberRemaining

    public final void setNumberRemaining(int theNumberRemaining)

  Parameters:
    `theNumberRemaining` - the numberRemaining to set

### setPercent

    public final void setPercent(int thePercent)

  Parameters:
    `thePercent` - the percent to set

### toString

    public final String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.